Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1169498 (retext) - Review Request: retext - Text editor for Markdown and reStructuredText
Summary: Review Request: retext - Text editor for Markdown and reStructuredText
Keywords:
Status: CLOSED ERRATA
Alias: retext
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: William Moreno
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1128101 (view as bug list)
Depends On: python-markups
Blocks: qt-reviews
TreeView+ depends on / blocked
 
Reported: 2014-12-01 20:19 UTC by Mario Blättermann
Modified: 2016-01-16 23:15 UTC (History)
4 users (show)

Fixed In Version: retext-5.0.1-7.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-15 03:28:59 UTC
williamjmorenor: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Mario Blättermann 2014-12-01 20:19:46 UTC
Spec URL: https://mariobl.fedorapeople.org/Packages/SPECS/retext.spec
SRPM URL: https://mariobl.fedorapeople.org/Packages/SRPMS/retext-5.0.1-1.fc21.src.rpm

Description:
ReText is a simple but powerful text editor for Markdown and reStructuredText.

Fedora Account System Username: mariobl

Comment 1 Mario Blättermann 2014-12-30 10:30:59 UTC
Spec URL: https://mariobl.fedorapeople.org/Review/SPECS/retext.spec
SRPM URL: https://mariobl.fedorapeople.org/Review/SRPMS/retext-5.0.1-1.fc21.src.rpm

The new version makes use of the %license macro. Moreover, the %check section is now optional to reduce the build requirements a bit, but the tests are still enabled by default.

Latest packages are always available from a Copr repo:
https://copr.fedoraproject.org/coprs/mariobl/retext/
Note, to use this repo, you have also to enable python-markups:
https://copr.fedoraproject.org/coprs/mariobl/python-markups/

Comment 2 Mario Blättermann 2015-01-10 17:05:21 UTC
New version:

Spec URL: https://mariobl.fedorapeople.org/Review/SPECS/retext.spec
SRPM URL: https://mariobl.fedorapeople.org/Review/SRPMS/retext-5.0.1-5.fc21.src.rpm

- Replace qt-devel with qt5-qttools-devel to use the correct
  linguist toolchain
- Use the %%license macro
- Keep the tests enabled, but make them optional

Comment 3 William Moreno 2015-01-13 04:32:37 UTC
In the links for Source 1, Source 2, Source 3 %srcname is https://mariobl.fedorapeople.org/ReText and the correct URL is https://mariobl.fedorapeople.org/Retext/

I download the Sources and build the SRPM and run the test.

Package build in my f21 and in Rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=8600491

Please add a appdata.xml file to your app (I you don't I will be not displayed in Gnome-Software in the current version of Gnome available in the Fedora Workstatios) see: http://fedoraproject.org/wiki/Packaging:AppData

Look like retext Legal_Notice.xml work ok with rpm instaled

Here is the output of fedora-review there is somo points than still need some atention.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Sources used to build the package match the upstream source, as provided in
  the spec URL.
  Note: Upstream MD5sum check error, diff is in
  /home/makerpm/rpmbuild/SRPMS/retext/diff.txt
  See: http://fedoraproject.org/wiki/Packaging/SourceURL
- If (and only if) the source package includes the text of the license(s) in
  its own file, then that file, containing the text of the license(s) for the
  package is included in %doc.
  Note: Cannot find LICENSE_GPL in rpm(s)
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
- update-desktop-database is invoked in %post and %postun if package contains
  desktop file(s) with a MimeType: entry.
  Note: desktop file(s) with MimeType entry in retext
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#desktop-
  database


===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "Unknown or generated". 14 files have unknown
     license. Detailed output of licensecheck in
     /home/makerpm/rpmbuild/SRPMS/retext/licensecheck.txt
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in retext
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[ ]: Python eggs must not download any dependencies during the build process.
[ ]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: retext-5.0.1-5.fc21.noarch.rpm
          retext-5.0.1-5.fc21.src.rpm
retext.noarch: W: spelling-error Summary(en_US) reStructuredText -> restructured Text, restructured-text, restructure
retext.noarch: I: enchant-dictionary-not-found de
retext.noarch: W: spelling-error %description -l en_US reStructuredText -> restructured Text, restructured-text, restructure
retext.noarch: W: invalid-url URL: http://sourceforge.net/p/retext/home/ReText timed out
retext.noarch: W: spurious-executable-perm /usr/share/man/man1/wpgen.1.gz
retext.noarch: E: script-without-shebang /usr/share/icons/hicolor/scalable/apps/retext.svg
retext.noarch: W: spurious-executable-perm /usr/share/man/de/man1/retext.1.gz
retext.noarch: W: spurious-executable-perm /usr/share/man/de/man1/wpgen.1.gz
retext.noarch: W: spurious-executable-perm /usr/share/man/man1/retext.1.gz
retext.src: W: spelling-error Summary(en_US) reStructuredText -> restructured Text, restructured-text, restructure
retext.src: W: spelling-error %description -l en_US reStructuredText -> restructured Text, restructured-text, restructure
retext.src: W: file-size-mismatch ReText-5.0.1.tar.gz = 140814, http://downloads.sourceforge.net/ReText-5.0/ReText-5.0.1.tar.gz = 15859
2 packages and 0 specfiles checked; 1 errors, 10 warnings.




Rpmlint (installed packages)
----------------------------
]0;<mock-chroot><mock-chroot>[root@sesshomaru /]# rpmlint retext
retext.noarch: W: spelling-error Summary(en_US) reStructuredText -> restructured Text, restructured-text, restructure
retext.noarch: I: enchant-dictionary-not-found de
retext.noarch: W: spelling-error %description -l en_US reStructuredText -> restructured Text, restructured-text, restructure
retext.noarch: W: spurious-executable-perm /usr/share/man/man1/wpgen.1.gz
retext.noarch: E: script-without-shebang /usr/share/icons/hicolor/scalable/apps/retext.svg
retext.noarch: W: spurious-executable-perm /usr/share/man/de/man1/retext.1.gz
retext.noarch: W: spurious-executable-perm /usr/share/man/de/man1/wpgen.1.gz
retext.noarch: W: spurious-executable-perm /usr/share/man/man1/retext.1.gz
1 packages and 0 specfiles checked; 1 errors, 6 warnings.
]0;<mock-chroot><mock-chroot>[root@sesshomaru /]# echo 'rpmlint-done:'



Requires
--------
retext (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python3
    hicolor-icon-theme
    python(abi)
    python3-docutils
    python3-enchant
    python3-markdown
    python3-markups
    python3-qt5
    qt5-qtwebkit



Provides
--------
retext:
    application()
    application(retext.desktop)
    mimehandler(text/x-markdown)
    mimehandler(text/x-rst)
    retext



Source checksums
----------------
https://mariobl.fedorapeople.org/Retext/retext.1 :
  CHECKSUM(SHA256) this package     : 300f04c1f808f63351b16ed0fa0f2d01b857c4d096ed71dcf54ab95281727d9a
  CHECKSUM(SHA256) upstream package : 300f04c1f808f63351b16ed0fa0f2d01b857c4d096ed71dcf54ab95281727d9a
https://mariobl.fedorapeople.org/Retext/wpgen.1 :
  CHECKSUM(SHA256) this package     : 12f23b81cd4e96b95481d8754fa0c37ad31d9d352053481b1b7d3bb187c4ba23
  CHECKSUM(SHA256) upstream package : 12f23b81cd4e96b95481d8754fa0c37ad31d9d352053481b1b7d3bb187c4ba23
http://downloads.sourceforge.net/ReText-5.0/ReText-5.0.1.tar.gz :
  CHECKSUM(SHA256) this package     : a62f784f18bfcdad13969b8b15a8e92f57e930f23e93bfce1ab714e5ac77e939
  CHECKSUM(SHA256) upstream package : 70d8adc753aa407ddef41b49c2d3b8560f4cd542f662453630282f9a616bd80e
https://mariobl.fedorapeople.org/Retext/retext-man-de.po :
  CHECKSUM(SHA256) this package     : 9b00b30a693a3023b2f5619ab0586ddf9bd8f5bc9b75c2dabd5d6493558bb6f7
  CHECKSUM(SHA256) upstream package : 9b00b30a693a3023b2f5619ab0586ddf9bd8f5bc9b75c2dabd5d6493558bb6f7
diff -r also reports differences


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/bin/fedora-review -rn retext-5.0.1-5.fc21.src.rpm
Buildroot used: fedora-21-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 4 Mario Blättermann 2015-01-16 14:57:49 UTC
(In reply to William Moreno from comment #3)
> In the links for Source 1, Source 2, Source 3 %srcname is
> https://mariobl.fedorapeople.org/ReText and the correct URL is
> https://mariobl.fedorapeople.org/Retext/
> 
> I download the Sources and build the SRPM and run the test.
> 
> Package build in my f21 and in Rawhide:
> http://koji.fedoraproject.org/koji/taskinfo?taskID=8600491
> 
> Please add a appdata.xml file to your app (I you don't I will be not
> displayed in Gnome-Software in the current version of Gnome available in the
> Fedora Workstatios) see: http://fedoraproject.org/wiki/Packaging:AppData


Spec URL: https://mariobl.fedorapeople.org/Review/SPECS/retext.spec
SRPM URL: https://mariobl.fedorapeople.org/Review/SRPMS/retext-5.0.1-6.fc21.src.rpm

- Fix URLs of extra sources
- Add appdata file

Comment 5 William Moreno 2015-01-30 22:08:08 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

Issues:
=======
- Sources used to build the package match the upstream source, as provided in
  the spec URL.
- Package uses either %{buildroot} or $RPM_BUILD_ROOT
- update-desktop-database is invoked in %post and %postun if package contains
  desktop file(s) with a MimeType: entry.
  Note: desktop file(s) with MimeType entry in retext
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#desktop-
  database

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[!]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

Python:
[x]: Binary eggs must be removed in %prep
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: retext-5.0.1-6.fc21.noarch.rpm
          retext-5.0.1-6.fc21.src.rpm
retext.noarch: W: spelling-error Summary(en_US) reStructuredText -> restructured Text, restructured-text, restructure
retext.noarch: I: enchant-dictionary-not-found de
retext.noarch: W: spelling-error %description -l en_US reStructuredText -> restructured Text, restructured-text, restructure
retext.noarch: W: spurious-executable-perm /usr/share/man/de/man1/retext.1.gz
retext.noarch: W: spurious-executable-perm /usr/share/man/man1/wpgen.1.gz
retext.noarch: E: script-without-shebang /usr/share/icons/hicolor/scalable/apps/retext.svg
retext.noarch: W: spurious-executable-perm /usr/share/man/de/man1/wpgen.1.gz
retext.noarch: W: spurious-executable-perm /usr/share/man/man1/retext.1.gz
retext.src: W: spelling-error Summary(en_US) reStructuredText -> restructured Text, restructured-text, restructure
retext.src: W: spelling-error %description -l en_US reStructuredText -> restructured Text, restructured-text, restructure
retext.src: W: file-size-mismatch ReText-5.0.1.tar.gz = 140814, http://downloads.sourceforge.net/ReText-5.0/ReText-5.0.1.tar.gz = 15857
2 packages and 0 specfiles checked; 1 errors, 9 warnings.

Requires
--------
retext (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python3
    hicolor-icon-theme
    python(abi)
    python3-docutils
    python3-enchant
    python3-markdown
    python3-markups
    python3-qt5
    qt5-qtwebkit

Provides
--------
retext:
    appdata()
    appdata(retext.appdata.xml)
    application()
    application(retext.desktop)
    mimehandler(text/x-markdown)
    mimehandler(text/x-rst)
    retext

Source checksums
----------------
https://mariobl.fedorapeople.org/Retext/retext.1 :
  CHECKSUM(SHA256) this package     : 300f04c1f808f63351b16ed0fa0f2d01b857c4d096ed71dcf54ab95281727d9a
  CHECKSUM(SHA256) upstream package : 300f04c1f808f63351b16ed0fa0f2d01b857c4d096ed71dcf54ab95281727d9a
https://mariobl.fedorapeople.org/Retext/wpgen.1 :
  CHECKSUM(SHA256) this package     : 12f23b81cd4e96b95481d8754fa0c37ad31d9d352053481b1b7d3bb187c4ba23
  CHECKSUM(SHA256) upstream package : 12f23b81cd4e96b95481d8754fa0c37ad31d9d352053481b1b7d3bb187c4ba23
http://downloads.sourceforge.net/ReText-5.0/ReText-5.0.1.tar.gz :
  CHECKSUM(SHA256) this package     : a62f784f18bfcdad13969b8b15a8e92f57e930f23e93bfce1ab714e5ac77e939
  CHECKSUM(SHA256) upstream package : 64037f31ac4f87350df20fdc627e824b3a727c948c822e9f70770c8b035774ac
https://mariobl.fedorapeople.org/Retext/retext-man-de.po :
  CHECKSUM(SHA256) this package     : 9b00b30a693a3023b2f5619ab0586ddf9bd8f5bc9b75c2dabd5d6493558bb6f7
  CHECKSUM(SHA256) upstream package : 9b00b30a693a3023b2f5619ab0586ddf9bd8f5bc9b75c2dabd5d6493558bb6f7
diff -r also reports differences


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1169498
Buildroot used: fedora-21-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

============================================

1- I got a diff with the SOURCE0 and the Source in the src.rpm, can be a problem with the source url. 
2- There are many warnings in rpmlint about executables files under /usr/man this can be set with install -m 644
3- Please use only %{buildroot} or $RPM_BUILD_ROOT in the spec, not both
4- If retext will be asociated with a file format please update the update-desktop-database with MineType.

============================================

Sorry for the late feedback, my hard drive has failed and I needed to use the warranty of the computer where I build  and I was offline around a week :(

Comment 6 Mario Blättermann 2015-01-31 19:39:47 UTC
Here are the new files:
Spec URL: https://mariobl.fedorapeople.org/Review/SPECS/retext.spec
SRPM URL: https://mariobl.fedorapeople.org/Review/SRPMS/retext-5.0.1-7.fc21.src.rpm

Scratch build for f21:
http://koji.fedoraproject.org/koji/taskinfo?taskID=8787347

There's just one message from rpmlint which is worth to be investigated:

retext.noarch: E: invalid-appdata-file /usr/share/appdata/retext.appdata.xml
appdata file is not valid, check with appdata-validate

See here what appdata-validate says then:

$ appdata-validate retext.appdata.xml
retext.appdata.xml 1 problems detected:
• style-invalid         : Not enough <p> tags for a good description

I have tried different scenarios: Splitting the single paragraph into two, adding a small feature list... But all I try is not "good enough" for appdata-validate. Either the paragraphs are too short, or the list entries or anything else. Let's keep the file as is, the Gnome folks have their appdata, and that's all.

Comment 7 William Moreno 2015-02-01 04:50:17 UTC
Package Review
==============

===== MUST items =====

Generic:
OK : Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
OK : License field in the package spec file matches the actual license.
OK : Package contains no bundled libraries without FPC exception.
OK : Changelog in prescribed format.
OK : Sources contain only permissible code or content.
NA : Development files must be in a -devel package
OK : Package uses nothing in %doc for runtime.
OK : Package consistently uses macros (instead of hard-coded directory names).
OK : Package is named according to the Package Naming Guidelines.
OK : Package does not generate any conflict.
OK : Package obeys FHS, except libexecdir and /usr/target.
OK : If the package is a rename of another package, proper Obsoletes and
     Provides are present.
OK : Requires correct, justified where necessary.
OK : Spec file is legible and written in American English.
OK : Package contains systemd file(s) if in need.
OK : update-desktop-database is invoked in %post and %postun if package
     contains desktop file(s) with a MimeType: entry.
OK : gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
OK : Package is not known to require an ExcludeArch tag.
OK: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
OK : Packages must not store files under /srv, /opt or /usr/local
OK : Package complies to the Packaging Guidelines
OK : Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
OK : Package installs properly.
OK : Rpmlint is run on all rpms the build produces.
OK : Package requires other packages for directories it uses.
OK : Package must own all directories that it creates.
OK : Package does not own files or directories owned by other packages.
OK : All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
OK : Package uses either %{buildroot} or $RPM_BUILD_ROOT
OK : Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
OK : Macros in Summary, %description expandable at SRPM build time.
OK : Package contains desktop file if it is a GUI application.
OK : Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
OK : Package does not contain duplicates in %files.
OK : Permissions on files are set properly.
OK : Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
OK : Package is named using only allowed ASCII characters.
OK : Package do not use a name that already exist
OK : Package is not relocatable.
OK : Sources used to build the package match the upstream source, as provided
     in the spec URL.
OK : Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
PK : File names are valid UTF-8.

Python:
OK : Binary eggs must be removed in %prep
OK : Python eggs must not download any dependencies during the build process.
OK : A package which is used by another package via an egg interface should
     provide egg info.
OK : Package meets the Packaging Guidelines::Python
     Note: Test run failed
OK : Package contains BR: python2-devel or python3-devel

===== SHOULD items =====
Generic:
OK : If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
OK : Final provides and requires are sane (see attachments).
OK : Package functions as described.
OK : Latest version is packaged.
OK : Package does not include license text files separate from upstream.
OK : Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
OK : Package should compile and build into binary rpms on all supported
     architectures.
OK : %check is present and all tests pass.
OK : Packages should try to preserve timestamps of original installed files.
OK : Packager, Vendor, PreReq, Copyright tags should not be in spec file
OK : Sources can be downloaded from URI in Source: tag
OK : Reviewer should test that the package builds in mock.
OK : Buildroot is not present
OK : Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
OK : Dist tag is present (not strictly required in GL).
OK : No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
OK : SourceX is a working URL.
OK : Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
OK : Large data in /usr/share should live in a noarch subpackage if package is
     arched.
OK : Rpmlint is run on all installed packages.
OK : Spec file according to URL is the same as in SRPM.

Rpmlint
-------
Checking: retext-5.0.1-7.fc21.noarch.rpm
          retext-5.0.1-7.fc21.src.rpm
retext.noarch: W: spelling-error Summary(en_US) reStructuredText -> restructured Text, restructured-text, restructure
retext.noarch: I: enchant-dictionary-not-found de
retext.noarch: W: spelling-error %description -l en_US reStructuredText -> restructured Text, restructured-text, restructure
retext.src: W: spelling-error Summary(en_US) reStructuredText -> restructured Text, restructured-text, restructure
retext.src: W: spelling-error %description -l en_US reStructuredText -> restructured Text, restructured-text, restructure
2 packages and 0 specfiles checked; 0 errors, 4 warnings.

Requires
--------
retext (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python3
    hicolor-icon-theme
    python(abi)
    python3-docutils
    python3-enchant
    python3-markdown
    python3-markups
    python3-qt5
    qt5-qtwebkit

Provides
--------
retext:
    appdata()
    appdata(retext.appdata.xml)
    application()
    application(retext.desktop)
    mimehandler(text/x-markdown)
    mimehandler(text/x-rst)
    retext

Source checksums
----------------
https://mariobl.fedorapeople.org/Retext/retext.1 :
  CHECKSUM(SHA256) this package     : 300f04c1f808f63351b16ed0fa0f2d01b857c4d096ed71dcf54ab95281727d9a
  CHECKSUM(SHA256) upstream package : 300f04c1f808f63351b16ed0fa0f2d01b857c4d096ed71dcf54ab95281727d9a
https://mariobl.fedorapeople.org/Retext/wpgen.1 :
  CHECKSUM(SHA256) this package     : 12f23b81cd4e96b95481d8754fa0c37ad31d9d352053481b1b7d3bb187c4ba23
  CHECKSUM(SHA256) upstream package : 12f23b81cd4e96b95481d8754fa0c37ad31d9d352053481b1b7d3bb187c4ba23
http://downloads.sourceforge.net/project/retext/ReText-5.0/ReText-5.0.1.tar.gz :
  CHECKSUM(SHA256) this package     : a62f784f18bfcdad13969b8b15a8e92f57e930f23e93bfce1ab714e5ac77e939
  CHECKSUM(SHA256) upstream package : a62f784f18bfcdad13969b8b15a8e92f57e930f23e93bfce1ab714e5ac77e939
https://mariobl.fedorapeople.org/Retext/retext-man-de.po :
  CHECKSUM(SHA256) this package     : 9b00b30a693a3023b2f5619ab0586ddf9bd8f5bc9b75c2dabd5d6493558bb6f7
  CHECKSUM(SHA256) upstream package : 9b00b30a693a3023b2f5619ab0586ddf9bd8f5bc9b75c2dabd5d6493558bb6f7

Cool, I am fine with the packaging and the app is working ok in my F21

===============
PACKAGE APROVED
===============

Comment 8 Mario Blättermann 2015-02-01 17:53:56 UTC
Many thanks for the review!


New Package SCM Request
=======================
Package Name: retext
Short Description: Text editor for Markdown and reStructuredText
Upstream URL: http://sourceforge.net/p/retext/home/ReText
Owners: mariobl
Branches: f21

Comment 9 Gwyn Ciesla 2015-02-02 00:01:01 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2015-02-02 20:06:07 UTC
retext-5.0.1-7.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/retext-5.0.1-7.fc21

Comment 11 Fedora Update System 2015-02-03 12:05:23 UTC
retext-5.0.1-7.fc21 has been pushed to the Fedora 21 testing repository.

Comment 12 Fedora Update System 2015-02-15 03:28:59 UTC
retext-5.0.1-7.fc21 has been pushed to the Fedora 21 stable repository.

Comment 13 Nikos Roussos 2016-01-16 23:15:11 UTC
*** Bug 1128101 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.